# eric3.VCS.cvsPackage.OptionsDialog

Module implementing a dialog to enter options used to start a project in the VCS.

### Classes

CvsOptionsDialog | Class implementing a dialog to enter options used to start a project in the repository.

### Functions

None

## CvsOptionsDialog

Class implementing a dialog to enter options used to start a project in the repository.

### Derived from

CvsOptionsForm

### Methods

CvsOptionsDialog | Constructor
getData | Public slot to retrieve the data entered into the dialog.
handleDirectory | Private slot to display a directory selection dialog.

### CvsOptionsDialog (Constructor)

CvsOptionsDialog(project, archiveName, archiveEditable=0, parent=None)

Constructor

project
  reference to the project object
archiveName
  name of the archive (string or QString)
archiveEditable
  flag indicating that the archives name may be changed (boolean)
parent
  parent widget (QWidget)

### CvsOptionsDialog.getData

getData()

Public slot to retrieve the data entered into the dialog.

Returns:
  a dictionary containing the data entered

### CvsOptionsDialog.handleDirectory

handleDirectory()

Private slot to display a directory selection dialog.

Up